
Dashboard - Cleanup #44371

Feature # 42349 (Resolved): mgr/dashboard: Support CRUSH device classes

Feature # 43260 (Pending Backport): mgr/dashboard: Support creating a placement rule that targets a specific device class

mgr/dashboard: Pool form refactoring

03/02/2020 12:50 PM - Stephan Müller

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Stephan Müller   

Category: Component - Pools   

Target version: v15.0.0   

Tags:  Affected Versions:  

Backport: nautilus Pull request ID: 33620

Reviewed:    

Description

Fixes description path in ECP service

Removes unused ecp code

Changed info endpoints to use ui-api

Removed multi call through fork in pool form (only info is needed now)

General refactoring of component and it's tests

Don't show ECP actions during pool edit as all actions were disabled any way

Subtasks:

Cleanup # 44377: mgr/dashboard: Removes fork join in pool form Closed

History

#1 - 03/02/2020 01:00 PM - Lenz Grimmer

- Subject changed from Pool form refactoring to mgr/dashboard: Pool form refactoring

#2 - 03/03/2020 09:03 AM - Stephan Müller

- Status changed from In Progress to Closed

It does not make sense to split the PR in so much pieces.

#3 - 03/12/2020 03:52 PM - Alfonso Martínez

- Pull request ID set to 33620

#4 - 07/06/2020 01:43 PM - Stephan Müller

- Backport set to nautilus

#5 - 07/07/2020 11:26 AM - Nathan Cutler

The backport of this issue can be handled via the parent issue #43260 because the pull request ID is the same.
